Debian Bug report logs - #597175
libncurses5: incorrect free of SCREEN in delscreen() make application to crash or loop endlessly

version graph

Package: libncurses5; Maintainer for libncurses5 is Craig Small <csmall@debian.org>; Source for libncurses5 is src:ncurses.

Reported by: Frédéric Boiteux <fboiteux@calistel.com>

Date: Fri, 17 Sep 2010 10:10:31 UTC

Severity: normal

Tags: patch

Found in version ncurses/5.7+20081213-1

Fixed in version ncurses/5.7+20100313-4

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#597175; Package libncurses5. (Fri, 17 Sep 2010 10:10:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric Boiteux <fboiteux@calistel.com>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Fri, 17 Sep 2010 10:10:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frédéric Boiteux <fboiteux@calistel.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncurses5: incorrect free of SCREEN in delscreen() make application to crash or loop endlessly
Date: Fri, 17 Sep 2010 11:48:48 +0200
[Message part 1 (text/plain, inline)]
Package: libncurses5
Version: 5.7+20081213-1
Severity: normal
Tags: patch


     Hello,

  When porting an own application using ncurses from an old 5.5 version to
a current 5.7 (i.e. on a Debian Lenny system), I found a bug related to free
of screens (the application manages multiple terminals) : when the close
of terminals was in the same order they was created, the application
segfaulted or looped indefinitely. I identified the bug in the
delscreen() function, and more precisely in delink_screen() where the
global list of screens is incorrectly updated.
  I've successfully tested my application with the simple patch attached.

  This bug is also present in Squeeze and Sid. It has been fixed
upstream in 2010/4/24 (last version of Sid is 20100313), I checked this
with upstream authors (T. Dickey).

  It would be nice if the patch could be integrated in next Lenny
release (if an
y) and also in coming Squeeze.

   Thanks,
     Fred.

-- System Information:
Debian Release: 5.0.6
  APT prefers lenny
  APT policy: (990, 'lenny'), (990, 'stable'), (800, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libncurses5 depends on:
ii  libc6                       2.7-18lenny4 GNU C Library: Shared libraries

Versions of packages libncurses5 recommends:
ii  libgpm2                       1.20.4-3.1 General Purpose Mouse -
shared lib

libncurses5 suggests no packages.

-- no debconf information

[bug_free_delscreen.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#597175; Package libncurses5. (Fri, 17 Sep 2010 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 17 Sep 2010 12:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 597175@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Frédéric Boiteux <fboiteux@calistel.com>
Cc: 597175@bugs.debian.org
Subject: Re: Bug#597175: libncurses5: incorrect free of SCREEN in delscreen() make application to crash or loop endlessly
Date: Fri, 17 Sep 2010 14:15:38 +0200
On 2010-09-17 11:48 +0200, Frédéric Boiteux wrote:

>   When porting an own application using ncurses from an old 5.5 version to
> a current 5.7 (i.e. on a Debian Lenny system), I found a bug related to free
> of screens (the application manages multiple terminals) : when the close
> of terminals was in the same order they was created, the application
> segfaulted or looped indefinitely. I identified the bug in the
> delscreen() function, and more precisely in delink_screen() where the
> global list of screens is incorrectly updated.
>   I've successfully tested my application with the simple patch attached.

Could you show some sample code that triggers the bug?  The patch looks
correct to me, but I'd like to verify that it works.

>   This bug is also present in Squeeze and Sid. It has been fixed
> upstream in 2010/4/24 (last version of Sid is 20100313), I checked this
> with upstream authors (T. Dickey).

Actually it was fixed in 2010/5/01.

>   It would be nice if the patch could be integrated in next Lenny
> release (if any)

Could be difficult, since the requirements for stable updates are rather
strict¹.

> and also in coming Squeeze.

That's certainly possible.  As soon as the current version migrates to
Squeeze (should happen by the end of next week), we can upload to sid
and ask for another freeze exception.

Thanks,
       Sven


¹ http://www.debian.org/doc/developers-reference/pkgs.html#upload-stable




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#597175; Package libncurses5. (Fri, 17 Sep 2010 13:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frédéric Boiteux <fboiteux@calistel.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 17 Sep 2010 13:54:13 GMT) Full text and rfc822 format available.

Message #15 received at 597175@bugs.debian.org (full text, mbox):

From: Frédéric Boiteux <fboiteux@calistel.com>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 597175@bugs.debian.org
Subject: Re: Bug#597175: libncurses5: incorrect free of SCREEN in delscreen() make application to crash or loop endlessly
Date: Fri, 17 Sep 2010 15:41:39 +0200
Le 17/09/2010 14:15, Sven Joachim a écrit :
> On 2010-09-17 11:48 +0200, Frédéric Boiteux wrote:
>
>   
>>   When porting an own application using ncurses from an old 5.5 version to
>> a current 5.7 (i.e. on a Debian Lenny system), I found a bug related to free
>> of screens (the application manages multiple terminals) : when the close
>> of terminals was in the same order they was created, the application
>> segfaulted or looped indefinitely. I identified the bug in the
>> delscreen() function, and more precisely in delink_screen() where the
>> global list of screens is incorrectly updated.
>>   I've successfully tested my application with the simple patch attached.
>>     
> Could you show some sample code that triggers the bug?  The patch looks
> correct to me, but I'd like to verify that it works.
>   
The application is quite complex and not a free code, so not suitable as
a sample test code.
But the fix from Thomas Dickey, from ncurses, was identical :

--- lib_set_term.c      2010/04/24 23:09:24     1.136 
+++ lib_set_term.c      2010/05/01 19:47:51     1.137 
@@ -47,7 +47,7 @@ 
 #define CUR SP_TERMTYPE
 #endif

-MODULE_ID("$Id: lib_set_term.c,v 1.135 2009/11/28 21:49:24 tom Exp $") 
+MODULE_ID("$Id: lib_set_term.c,v 1.136 2010/04/24 23:09:24 tom Exp $") 

 #ifdef USE_TERM_DRIVER
 #define MaxColors      InfoOf(sp).maxcolors
@@ -117,7 +117,7 @@ 
     for (each_screen(temp)) {
        if (temp == sp) {
            if (last)
-               last = sp->_next_screen; 
+               last->_next_screen = sp->_next_screen; 
            else
                _nc_screen_chain = sp->_next_screen;
            result = TRUE;


>   
>>   This bug is also present in Squeeze and Sid. It has been fixed
>> upstream in 2010/4/24 (last version of Sid is 20100313), I checked this
>> with upstream authors (T. Dickey).
>>     
> Actually it was fixed in 2010/5/01.
>   
Ok.

>   
>>   It would be nice if the patch could be integrated in next Lenny
>> release (if any)
>>     
> Could be difficult, since the requirements for stable updates are rather
> strict¹.
>   
I wasn't sure… What I would not like is to have a new libncurses5 Lenny
package (for another reason) *without* this bug fix, it could be
domagable for me.

>> and also in coming Squeeze.
>>     
> That's certainly possible.  As soon as the current version migrates to
> Squeeze (should happen by the end of next week), we can upload to sid
> and ask for another freeze exception.
>   
Thanks Sven for your help on this topic (previously on -dbg package's
usage).

Fred.






Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#597175; Package libncurses5. (Fri, 17 Sep 2010 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 17 Sep 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 597175@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Frédéric Boiteux <fboiteux@calistel.com>
Cc: 597175@bugs.debian.org
Subject: Re: Bug#597175: libncurses5: incorrect free of SCREEN in delscreen() make application to crash or loop endlessly
Date: Fri, 17 Sep 2010 17:19:52 +0200
On 2010-09-17 15:41 +0200, Frédéric Boiteux wrote:

> Le 17/09/2010 14:15, Sven Joachim a écrit :
>> On 2010-09-17 11:48 +0200, Frédéric Boiteux wrote:
>>
>> Could you show some sample code that triggers the bug?  The patch looks
>> correct to me, but I'd like to verify that it works.
>>   
> The application is quite complex and not a free code, so not suitable as
> a sample test code.

Okay, so I'll take your (and Thomas') word for it.

> But the fix from Thomas Dickey, from ncurses, was identical :

I know, I import his weekly patches into our git repository.

>>>   It would be nice if the patch could be integrated in next Lenny
>>> release (if any)
>>>     
>> Could be difficult, since the requirements for stable updates are rather
>> strict¹.
>>   
> I wasn't sure… What I would not like is to have a new libncurses5 Lenny
> package (for another reason) *without* this bug fix, it could be
> domagable for me.

Well, *if* we need to update ncurses in Lenny, then I'll see to include
this patch as well, but currently there is no compelling reason for a
Lenny upload.

Cheers,
       Sven




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Fri, 17 Sep 2010 15:27:02 GMT) Full text and rfc822 format available.

Message sent on to Frédéric Boiteux <fboiteux@calistel.com>:
Bug#597175. (Fri, 17 Sep 2010 15:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 597175-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 597175-submitter@bugs.debian.org
Subject: Bug#597175 marked as pending
Date: Fri, 17 Sep 2010 15:22:44 +0000
tag 597175 pending
thanks

Hello,

Bug #597175 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=824d808

---
commit 824d808291ae3071ea7e66cd9be62e17a2eb0e30
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Fri Sep 17 16:55:57 2010 +0200

    Fix segfault or infinite loop in delscreen()
    
    New patch 09-fix-delscreen-segfault.diff taken from upstream
    patchlevel 20100501, fixes a fixes a segfault or infinite loop in
    applications using multiple screens.
    
    Reported-by: Frédéric Boiteux <fboiteux@calistel.com>

diff --git a/debian/changelog b/debian/changelog
index 745d4dd..fd13aae 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+ncurses (5.7+20100313-4) UNRELEASED; urgency=low
+
+  * New patch 09-fix-delscreen-segfault.diff taken from upstream
+    patchlevel 20100501, fixes a segfault or infinite loop in applications
+    using multiple screens (Closes: #597175).
+
+ -- Sven Joachim <svenjoac@gmx.de>  Fri, 17 Sep 2010 16:54:43 +0200
+
 ncurses (5.7+20100313-3) unstable; urgency=low
 
   * Fix dangling symlinks in ncurses-term that were introduced by the




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Tue, 28 Sep 2010 23:33:08 GMT) Full text and rfc822 format available.

Notification sent to Frédéric Boiteux <fboiteux@calistel.com>:
Bug acknowledged by developer. (Tue, 28 Sep 2010 23:33:09 GMT) Full text and rfc822 format available.

Message #30 received at 597175-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 597175-close@bugs.debian.org
Subject: Bug#597175: fixed in ncurses 5.7+20100313-4
Date: Tue, 28 Sep 2010 23:32:21 +0000
Source: ncurses
Source-Version: 5.7+20100313-4

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20100313-4_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20100313-4_amd64.deb
lib32ncurses5_5.7+20100313-4_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20100313-4_amd64.deb
lib32ncursesw5-dev_5.7+20100313-4_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20100313-4_amd64.deb
lib32ncursesw5_5.7+20100313-4_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20100313-4_amd64.deb
libncurses5-dbg_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20100313-4_amd64.deb
libncurses5-dev_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20100313-4_amd64.deb
libncurses5_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20100313-4_amd64.deb
libncursesw5-dbg_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20100313-4_amd64.deb
libncursesw5-dev_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20100313-4_amd64.deb
libncursesw5_5.7+20100313-4_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20100313-4_amd64.deb
ncurses-base_5.7+20100313-4_all.deb
  to main/n/ncurses/ncurses-base_5.7+20100313-4_all.deb
ncurses-bin_5.7+20100313-4_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20100313-4_amd64.deb
ncurses-term_5.7+20100313-4_all.deb
  to main/n/ncurses/ncurses-term_5.7+20100313-4_all.deb
ncurses_5.7+20100313-4.diff.gz
  to main/n/ncurses/ncurses_5.7+20100313-4.diff.gz
ncurses_5.7+20100313-4.dsc
  to main/n/ncurses/ncurses_5.7+20100313-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597175@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 Sep 2010 07:08:17 +0200
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source amd64 all
Version: 5.7+20100313-4
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 597175
Changes: 
 ncurses (5.7+20100313-4) unstable; urgency=low
 .
   * New patch 09-fix-delscreen-segfault.diff taken from upstream
     patchlevel 20100501, fixes a segfault or infinite loop in applications
     using multiple screens (Closes: #597175).
Checksums-Sha1: 
 62db1174cfd026f62c570742fcefd0a57c7b66c1 1567 ncurses_5.7+20100313-4.dsc
 3c7213df08d8ca4987bd2f99a7c9f6e042ec4252 47431 ncurses_5.7+20100313-4.diff.gz
 b60499971388943841797dcb0deaa7138c808c0f 364786 libncurses5_5.7+20100313-4_amd64.deb
 0eb7fbb5bf295a31b55b919dfcac7a37f9031cd8 1632190 libncurses5-dev_5.7+20100313-4_amd64.deb
 7979a0b3566ccb56c4d0d94dd31b409ee3d116c9 3264046 libncurses5-dbg_5.7+20100313-4_amd64.deb
 50b1ceedf7dc32db0078eaa6b8bf0cc48cad5783 389460 libncursesw5_5.7+20100313-4_amd64.deb
 94640aa1e0bc0191da649349afa2a2aee020d7e7 528494 libncursesw5-dev_5.7+20100313-4_amd64.deb
 3edb38726d3f4d11d4d43b31d52d59dea0ee8d66 2806526 libncursesw5-dbg_5.7+20100313-4_amd64.deb
 b67222533277654b07967e5c1aa6bb338d9ea552 344796 lib32ncurses5_5.7+20100313-4_amd64.deb
 4e88bfdbe46da55cc6aa9ef003d5d02c4b7f1b2e 397150 lib32ncurses5-dev_5.7+20100313-4_amd64.deb
 4af64541eb3d4787d98da0cc6b24dfb3bc279f30 371304 lib32ncursesw5_5.7+20100313-4_amd64.deb
 f2a50670c75ff3423c929948fea1f9e9434e47c1 426662 lib32ncursesw5-dev_5.7+20100313-4_amd64.deb
 2707ffb38ecd45e05372ffa591a98110dbb3f5fa 320134 ncurses-bin_5.7+20100313-4_amd64.deb
 19a3d74d7304cf259ebfacd2e6005a477a0acbfa 187498 ncurses-base_5.7+20100313-4_all.deb
 2f960fb0458c4839949cca90ce49fad78e30e12d 576586 ncurses-term_5.7+20100313-4_all.deb
Checksums-Sha256: 
 4e1c3674eebd7a8998115364b4618d76c8e254e327b2018e479862ade995c198 1567 ncurses_5.7+20100313-4.dsc
 4411b16a1089497747025b5770d1a8967c3e2f8291f221c77bc6e4c7cd60d454 47431 ncurses_5.7+20100313-4.diff.gz
 a032ba6292283298402891ddcab2c47987dd03316ee7bf2b2799d1a66b4625f4 364786 libncurses5_5.7+20100313-4_amd64.deb
 74519268a053364ccb51ad4a4bea80c9de1d377bdf4d8cd80aab8c9aa5e5b475 1632190 libncurses5-dev_5.7+20100313-4_amd64.deb
 4c8eeaa323338b5fdee1588edd85108534e1954835ff1ed455ab97064a9b8dda 3264046 libncurses5-dbg_5.7+20100313-4_amd64.deb
 ae408933b6d5d9884b825b492980867c904b8239ba5d2e4c9720ca253b99fa87 389460 libncursesw5_5.7+20100313-4_amd64.deb
 c30d4f737af43e2f117ef5dcf6d438125eeab0a284901abdeb21818451574bd0 528494 libncursesw5-dev_5.7+20100313-4_amd64.deb
 4a8623d9fd6110ddc072a6d22f6ca29ed2c0b9c666d55780c667fe2892d2a4f4 2806526 libncursesw5-dbg_5.7+20100313-4_amd64.deb
 8cb0d2b08e37dec05e6dd08d2ebc477ff9fe5a0f092ef410e0ee8b97adf1f130 344796 lib32ncurses5_5.7+20100313-4_amd64.deb
 62e09c3998aca97eed136571ae0c668448e8c6afe216e82e7114e50af0859862 397150 lib32ncurses5-dev_5.7+20100313-4_amd64.deb
 37bc5c1d252ee35d3e8a11a7fa2e01e41fd0eb3f4a56a9bf84fc0d931565285f 371304 lib32ncursesw5_5.7+20100313-4_amd64.deb
 f431c4b1f352686664701712f6e8f2751ee523ce9128899b2647f9d8f2890c31 426662 lib32ncursesw5-dev_5.7+20100313-4_amd64.deb
 e397b85a59758fc2b5c989fe600701fc03066cbd6156bf521a9b46b8e1900f2c 320134 ncurses-bin_5.7+20100313-4_amd64.deb
 015aa5c6a15bc35b730489ba7cc77fd5ebb07e6445950020d232b5a76481ba26 187498 ncurses-base_5.7+20100313-4_all.deb
 a0971b50c3eacfedfdc2ec194b532bb1d18c1ce99d89c400388b7530b313ffbc 576586 ncurses-term_5.7+20100313-4_all.deb
Files: 
 352fdf76e3c5680d3e4252901d7a63ec 1567 libs required ncurses_5.7+20100313-4.dsc
 f57283d59f6f0c97cbe3555ddd4f0e25 47431 libs required ncurses_5.7+20100313-4.diff.gz
 c20947e94785d7c8d20f6191cc194e54 364786 libs required libncurses5_5.7+20100313-4_amd64.deb
 ff3c3278126af207fdb7b2c3f0d31be2 1632190 libdevel optional libncurses5-dev_5.7+20100313-4_amd64.deb
 6ca9f5d2ac499b8e5e91defc33f25c6c 3264046 debug extra libncurses5-dbg_5.7+20100313-4_amd64.deb
 1dc31c349c182bfd864075d103e1d5f6 389460 libs important libncursesw5_5.7+20100313-4_amd64.deb
 4cfc3d41e9232dc79e66f8888d96d1c6 528494 libdevel optional libncursesw5-dev_5.7+20100313-4_amd64.deb
 c95b795384b78420c4afc1681f79f8f3 2806526 debug extra libncursesw5-dbg_5.7+20100313-4_amd64.deb
 3c7fc56b88cb18ae0ecf8d255e552f7f 344796 libs optional lib32ncurses5_5.7+20100313-4_amd64.deb
 f390afcc61d5cd1feafa519d9ed7231e 397150 libdevel optional lib32ncurses5-dev_5.7+20100313-4_amd64.deb
 d356829aec041e45b3954361d72fbc88 371304 libs optional lib32ncursesw5_5.7+20100313-4_amd64.deb
 16178b6eeb6318dfacbfc04b8787982b 426662 libdevel optional lib32ncursesw5-dev_5.7+20100313-4_amd64.deb
 bfddc0f124715dc964c00ea4dad04218 320134 utils required ncurses-bin_5.7+20100313-4_amd64.deb
 780c51c2b4a044cd771382b39e91e16e 187498 utils required ncurses-base_5.7+20100313-4_all.deb
 82c4b16b06d834127b93ae531c451021 576586 admin standard ncurses-term_5.7+20100313-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMonYzx2zlrBLK36URAn2YAJ4jGG0tLJaeozlEJPFAlLcOIC2YsACfSxvw
GvSrmLoGZ8I3d7CYIQQO+S8=
=sL0x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Nov 2010 07:34:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:52:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.